Subject: transient windows do not iconify when their parent's parent is iconified.

From: [email-masked]
Date: Tue, 18 Apr 2000 14:33:16 -0500 (CDT)

Full_Name: Dan Kuchler
Version: 2.2 and 2.3.16
CVS_Date: 
OS: red hat linux 6.0 x86
X_Server: 
Submission from: (NULL) (209.24.201.132)

The most obvious way that I can produce this situation is by using 
tcl/tk version 8.3 (or version 8.0)

To reproduce the bug create a series of toplevels which are transient to
their parent.

wish8.0 (or wish8.3)
toplevel .a
toplevel .a.b
toplevel .a.b.c
wm transient .a .
wm transient .a.b .a
wm transient .a.b.c .a.b

Since each of the windows are transient to their parent, I would expect
that if I iconify the main wish window (.) that not only would its child
.a be iconified, but its childs child would be iconified since it is
a transient window and its parent has been iconified.

Expected Results:

So I would expect iconifying . would cause the transient windows .a .a.b
and .a.b.c to all ionify.

Iconifying . would cause .a .a.b and .a.b.c to iconify
Iconifying .a would cause .a.b and .a.b.c to iconify
Iconifying .a.b would cause .a.b.c to iconify.

Currently the following happens:

Iconifying . causes .a to iconify
Iconifying .a cuases .a.b to iconify
Iconifying .a.b causes .a.b.c to iconify.

This seems to work properly on several other window managers (such as
window maker), but not with FVWM

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]